<?php
$obOrder = $formModel;
$obUser = $obOrder->user;
$state = $obOrder->property['billing_state'];
if ( $state == '' || $state == '00' )
{
    $userProperty = $obOrder->user['property'];
    if ( $userProperty )
    {
        $state = array_key_exists('shipping_state', $userProperty) ? $userProperty['shipping_state'] : '';
        if ( $state == '' || $state == '00' )
        {
            $state = $obOrder->user['property'] && array_key_exists('billing_state', $obOrder->user['property']) ? $obOrder->user['property']['billing_state'] : '';
        }
    }
}
?>

<?php if (!empty($obOrder)) { ?>
<div>
    Ordine: <?= $obOrder->id ?> del <?= $obOrder->created_at ?>
</div>
    <?php if($obOrder->status_id != 2 || $obOrder->status_id != 3) { ?>
        <div class="text-right">
            <a class="btn btn-warning" href="/backend/ims/shophelper/orderupdateshippingcontroller/update/<?= $obOrder->id ?>">Modifica dati Spedizione</a>
        </div>
        <br>
    <?php } ?>
<?php } ?>

<div class="scoreboard">
    <div class="scoreboard-item title-value">
        <h4><strong>Cliente</strong></h4>
        <div style="margin-top: 5px">
            <a href="<?= Backend::url('lovata/buddies/users/update/'.$obUser->id) ?>"><?= $obUser->name ?> <?= $obUser->last_name ?></a><br>
            <?= $model->user->email ?><br>
            <?= $obOrder->property['prefix'] ?> <?= $obOrder->property['phone'] ?><br>
            lingua scelta: <?= $model->property['locale'] ?>
        </div>
    </div>
    <div class="scoreboard-item title-value">
        <h4><strong>Indirizzo di fatturazione</strong></h4>
        <div style="margin-top: 5px">
            <?= $obOrder->property['billing_name'] ?> <?= $model->property['billing_last_name'] ?><br>
            <?= $obOrder->property['billing_address1'] ?><br>
            <?= $obOrder->property['billing_postcode'] ?> <?= $model->property['billing_city'] ?> <?= ($model->property['billing_region'] != '00' ? '('.$model->property['billing_region'].')' : '') ?><br>
            Stato: <?= $state ?: '<a id="popuptest" href="javascript:jsPopup();">imposta</a>' ?>
        </div>
    </div>
    <div class="scoreboard-item title-value">
    <h4><strong>Indirizzo di spedizione</strong></h4>
        <div style="margin-top: 5px">
            <?= $model->property['property']['shipping_name'] ?> <?= $model->property['property']['shipping_last_name'] ?><br>
            <?= $model->property['property']['shipping_address1'] ?><br>
            <?= $model->property['property']['shipping_postcode'] ?> <?= $model->property['property']['shipping_city'] ?> <?= $model->property['property']['shipping_region'] != '00' ? '('.$model->property['property']['shipping_region'].')' : '' ?><br>
            <?php if(isset($model->property['shipping_presso'])) { ?>
                C/O: <?= $model->property['shipping_presso'] ?><br>
            <?php } ?>
            Stato: <?= $model->property['property']['shipping_state'] ?: '<a id="popuptest" href="javascript:jsPopup();">imposta</a>' ?>
        </div>
    </div>

    <?php $obPositionPriceData = $obOrder->position_total_price_data; ?>
    <?php $conv_ship = $obOrder->shipping_price; ?>
    <?php $obTotalPriceData = $obOrder->conv_prezzo_tot - $conv_ship; ?>
    <?php $old_impo = $obTotalPriceData; ?>
    <div class="scoreboard-item title-value">
        <h4><strong>Totale merce</strong></h4>
        <?php
        if(isset($obOrder->conv_prezzo_tot)){
            if((int)$obOrder->dazi_value !== 0){
                $imponibile = round($obOrder->conv_prezzo_tot-$obOrder->dazi_value-$conv_ship);
            }else{
                $imponibile = round($obOrder->conv_prezzo_tot - $conv_ship);
            }
        ?>
        <p><span class="order-shopaholic-offers-total-price">
            <?= $imponibile ?>
        </span>€</p>
        <?php } ?>
    </div>

    <div class="scoreboard-item title-value">
        <h4><strong>Duty and Tax</strong></h4>
        <?php
        if((int)$obOrder->dazi_value !== 0){
            $dazi = $obOrder->dazi_value;
        ?>
        <p><span class="order-shopaholic-offers-total-price"><?= $dazi ?></span>€</p>
        <?php
        }else{
        ?>
        <p><span class="order-shopaholic-offers-total-price">0
        </span>€</p>
        <?php
        }
        ?>
    </div>

    <div class="scoreboard-item title-value">
        <h4><strong><?= e(trans('lovata.ordersshopaholic::lang.field.shipping_price')) ?></strong></h4>
        <p><span class="order-shopaholic-delivery-price"><?= $conv_ship ?></span> €</p>
    </div>

    <?php $obTotalPriceData = $obOrder->conv_prezzo_tot; ?>
    <div class="scoreboard-item title-value">
        <h4><strong>Totale</strong></h4>
        <?php
            if(empty($obOrder->conv_prezzo_tot) && empty($obOrder->prezzo_tot)){
                $obTotalPriceData = $obOrder->total_price_value;
            }elseif(empty($obOrder->conv_prezzo_tot)){
                $obTotalPriceData = $obOrder->prezzo_tot;
            }
        ?>
        <p><span class="order-shopaholic-offers-total-price"><?= $obTotalPriceData ?></span>€</p>
    </div>

</div>
<script>
    function jsPopup() {
        $('#popuptest').popup({handler: 'onLoadPopup', extraData: {id: <?= $obOrder->id ?>}});
    }
</script>